class Hash
  def mock(number = 1, mocker = Mocker.new)
    hashes = []
    (0...number).each do |i|
      hash = {}
      self.each do |key, value|
        value = case value.class.to_s
        when 'Integer'
          mocker.int
        when 'Hash'
          value.mock
        when 'String'
          mocker.string
        when 'Float'
          mocker.float
        else
          'Nothing'
        end
        hash[key] = value
      end
      hashes.append(hash)
    end
    hashes
  end
end
